const columns = [
  {
    prop: "returnCode",
    label: "采购退货单编号",
    span: 6
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    span: 6
  },
  {
    prop: "apply_name",
    label: "申请人",
    span: 6
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    span: 6
  },

  {
    prop: "good_num",
    label: "总采购数量",
    span: 6
  },
  {
    prop: "return_num",
    label: "退货退货数量",
    span: 6
  },
  {
    prop: "good_price",
    label: "采购单价",
    _slot_:"good_price",
    span: 6
  },
  {
    prop: "return_price",
    label: "退货总金额",
    _slot_:"return_price",
    span: 6
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6
  },
  {
    prop: "post_company",
    label: "物流公司",
    span: 6
  },
  {
    prop: "post_code",
    label: "物流编号",
    span: 12,
  },
  {
    prop: "return_contactor",
    label: "退货联系人",
    span: 6
  },
  {
    prop: "return_mobile",
    label: "退货联系电话",
    span: 6
  },
  {
    prop: "return_addr",
    label: "退货地址",
    span: 12,
  },
  {
    prop: "error_remark",
    label: "退货备注",
    span: 24,
  },
]
const listColumns = [
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "160"
  },
  {
    prop: "returnCode",
    label: "退货单编号",
    width: "160"
  },
  // {确认单编号}
  // {order_type类型}
  // {
  //   prop: "apply_name",
  //   label: "申请人"
  // },
  // {
  //   prop: "status",
  //   label: "状态",
  //   _slot_: "status",
  //   width: "120px",
  // },
  {
    prop: "order_type",
    label: "退货来源",
    // 1备库 2竞价
    _slot_: "order_type",
    width: "80px"
  },
  {
    prop: "spuCode",
    label: "商品编号",
    width: "160px"
  },
  {
    prop: "good_class",
    label: "商品分类",
    width: "130",
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150"
  },
  {
    prop: "return_num",
    label: "退货数量",
  },
  {
    prop: "return_fee",
    label: "退货总金额",
    width: "100"
  },
  // {
  //   prop: "post_company",
  //   label: "物流公司",
  // },
  // {
  //   prop: "post_code",
  //   label: "物流编号",
  // },
  // {
  //   prop: "post_fee",
  //   label: "物流费",
  //   width: "120"
  // },

  // {
  //   prop: "remark",
  //   label: "备注"
  // },
  // {
  //   prop: "wsm_supplier",
  //   label: "供应商"
  // },
  // {
  //   prop: "wsm_supplierNo",
  //   label: "供应商编码"
  // },

  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "50px",
    _noset_: true,
    _slot_: "operation",
  },

]
const statusOptions = [
  // { value: "0", label: "取消" },
  // { value: "1", label: "待业务审核" },
  // { value: "2", label: "通知财务部门" },
  { value: "1", label: "采购退货成功" },
];

export { columns, statusOptions, listColumns}