const columns= [
  { type: "selection", fixed: "left", _noset_: true },
  {
    prop: "orderCode",
    label: "订单编号",
    width: "155px",
  },


  // {
  //   prop: "good_code",
  //   label: "商品编码",
  //   width:"128"
  // },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    width: "150"
  },
  {
    prop: "good_class",
    label: "商品分类",
    width: "120"

  },

  {
    prop: "good_num",
    label: "商品数量",
  },
  {
    prop: "sale_price",
    label: "销售单价",
  },
  {
    prop: "total_price",
    label: "总价",
  },




  {
    prop: "status",
    label: "订单状态",
    _slot_: "status",
    width: "120px",
  },
  
  {
    prop: "order_source",
    label: "订单来源",
    _slot_: "order_source",
    width: "90px",
  },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    width: "90px",
  },
  {
    prop: "useage",
    label: "订单用途",
    width: "100px",
  },

  {
    prop: "customer_code",
    label: "客户公司编码",
    width: "155px",
  },
  {
    prop: "customerName",
    label: "企业客户名称",
    width: "125px",
  },
  {
    prop: "supplierName",
    label: "销售方公司",
    width: "125px",
  },
  {
    prop: "company_name",
    label: "创建人部门",
    minWidth: "100px",
  },

  {
    prop: "apply_name",
    label: "创建人",
    width: "60px",
  },

  {
    prop: "addtime",
    label: "创建时间",
    width: "145px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]


const addColumns = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },
  // {
  //   prop: "good_info_img",
  //   _slot_: "good_info_img",
  //   label: "详情图",
  //   span: 24,
  // },
  {
    prop: "cat",
    label: "分类",
    _slot_: "cat",
    span: 24,
  },

  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 8,
  },

  {
    prop: "unit",
    label: "单位",
    span: 8,
  },
  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 8,
  },

  {
    prop: "exclusive",
    label: "专属类型",
    _slot_: "exclusive",
    span: 12,
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 12,
  },
  {
    prop: "weight",
    label: "商品总克重",
    _slot_: "weight",
    span: 24,
  },
  {
    prop: "lead_time",
    label: "工期",
    span: 8,
  },
  {
    prop: "delivery_day",
    label: "物流",
    span: 8,
  },
  {
    prop: "purchase",
    label: "采购人员",
    span: 8,
  },
  {
    prop: "delivery_place_cn",
    label: "发货地",
    span: 24,
  },
  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
]
const showColumns = [
  {
    prop: "orderCode",
    label: "订单编号",
    span: 6,
  },
  {
    prop: "status",
    label: "订单状态",
    _slot_: "status",
    span: 6,
  },
  {
    prop: "order_source",
    label: "订单来源",
    _slot_: "order_source",
    span: 4,
  },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    span: 4,
  }, {
    prop: "apply_name",
    label: "创建人",
    span: 4,
  },

  {
    prop: "supplierName",
    label: "销售方公司",
    _slot_: "supplierName",
    span: 12,
  },
  {
    prop: "companyName",
    label: "购买方公司",
    _slot_: "companyName",
    span: 12,
  },


  {
    prop: "platform_name",
    label: "所属平台",
    span: 6,
  },

  {
    prop: "arrive_time",
    label: "要求到货时间",
    span: 6,
  },
  {
    prop: "paytime",
    label: "承诺付款时间",
    span: 6,
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },
  {
    prop: "good_num",
    label: "购买数量",
    span: 4,
  },
  {
    prop: "send_num",
    label: "已发数量",
    span: 4,
  },
  {
    prop: "wsend_num",
    label: "未发数量",
    span: 4,
  },
  {
    prop: "th_num",
    label: "退货数量",
    span: 4,
  },

  {
    prop: "proof_id",
    label: "凭证文件",
    _slot_: "proof_id",
    span: 8,
  },


  {
    prop: "sale_price",
    label: "售价",
    append: '元',
    span: 6,
  },
  {
    prop: "total_price",
    label: "总金额",
    append: '元',
    span: 6,
  },


  {
    prop: "post_fee",
    label: "物流费用",
    append: '元',
    span: 6,
  },
  {
    prop: "send_type",
    label: "发货类型",
    _slot_: "send_type",
    span: 6,
  },

  {
    prop: "is_active",
    label: "活动类型",
    _slot_: "is_active",
    span: 12,
  },
  {
    prop: "useage",
    label: "订单用途",
    span: 12,
  },

  {
    prop: "remark",
    label: "备注",
    span: 24,
  },

  {
    prop: "platform_order",
    label: "平台订单号",
    span: 24,
  },
  {
    prop: "workNo",
    label: "其他单号",
    span: 24,
  },
]

export{
  columns,
  addColumns,showColumns
}