//列表
const columns = [
  {
    type: "expand",
    _slot_: "expand",
    fixed: "left",
    _noset_: true,
  },
  {
    prop: "id",
    label: "记录ID",
    minWidth: "100px",
  },
  {
    prop: "tid",
    label: "平台订单号",
    minWidth: "160px",
  },
  {
    prop: "plat_code",
    label: "平台商品编码",
    minWidth: "160px",
  },
  {
    prop: "pay_type",
    label: "支付类型",
    _slot_: "pay_type",
    width: "100px",
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "110px",
  },

  {
    prop: "discount_price",
    label: "单价",
    width: "110px",
  },
  {
    prop: "num",
    label: "数量",
    width: "110px",
  },
  {
    prop: "total_fee",
    label: "订单总金额",
    width: "110px",
  },
  {
    prop: "orderCode",
    label: "销售订单号",
    minWidth: "160px",
  },
  {
    prop: "skuCode",
    label: "线上商品单号",
    minWidth: "160px",
  },
  // {
  //   prop: "platform_name",
  //   label: "所属平台",
  //   minWidth:"100px",
  // },
  {
    prop: "addtime",
    label: "平台下单时间",
    minWidth: "145px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: "80px",
  },
];

const status_list = [
  {
    value: "0",
    label: "待处理",
  },
  {
    value: "1",
    label: "处理中",
  },
  {
    value: "2",
    label: "待产品审核",
  },
  {
    value: "3",
    label: "产品驳回",
  },
  {
    value: "4",
    label: "待财务审核",
  },
  {
    value: "5",
    label: "财务驳回",
  },
  {
    value: "6",
    label: "成功转单",
  },
  {
    value: "7",
    label: "订单取消",
  },
  {
    value: "8",
    label: "系统转单失败",
  },
];
const pay_type_list = [
  {
    value: "0",
    label: "未支付", //默认值
  },
  {
    value: "1",
    label: "微信自有支付",
  },
  {
    value: "2",
    label: "支付宝wap",
  },
  {
    value: "3",
    label: "支付宝wap",
  },
  {
    value: "5",
    label: "财付通",
  },
  {
    value: "7",
    label: "代付",
  },
  {
    value: "8",
    label: "联动优势",
  },
  {
    value: "9",
    label: "货到付款",
  },
  {
    value: "10",
    label: "大账号代销",
  },
  {
    value: "11",
    label: "受理模式",
  },
  {
    value: "12",
    label: "百付宝",
  },
  {
    value: "13",
    label: "sdk支付",
  },
  {
    value: "14",
    label: "合并付货款",
  },
  {
    value: "15",
    label: "赠品",
  },
  {
    value: "16",
    label: "优惠兑换",
  },
  {
    value: "17",
    label: "自动付货款",
  },
  {
    value: "18",
    label: "爱学贷",
  },
  {
    value: "19",
    label: "微信wap",
  },
  {
    value: "20",
    label: "微信红包支付",
  },
  {
    value: "21",
    label: "返利",
  },
  {
    value: "22",
    label: "ump红包",
  },
  {
    value: "24",
    label: "易宝支付",
  },
  {
    value: "25",
    label: "储值卡",
  },
  {
    value: "27",
    label: "qq支付",
  },
  {
    value: "28",
    label: "有赞E卡支付",
  },
  {
    value: "29",
    label: "微信条码",
  },
  {
    value: "30",
    label: "支付宝条码",
  },
  {
    value: "33",
    label: "礼品卡支付",
  },
  {
    value: "35",
    label: "会员余额",
  },
  {
    value: "36",
    label: "信用卡银联支付",
  },
  {
    value: "37",
    label: "储蓄卡银联支付",
  },
  {
    value: "40",
    label: "分期支付",
  },
  {
    value: "72",
    label: "微信扫码二维码支付",
  },
  {
    value: "80",
    label: "待结算&余额支付",
  },
  {
    value: "90",
    label: "礼品卡支付",
  },
  {
    value: "100",
    label: "代收账户",
  },
  {
    value: "101",
    label: "收款码",
  },
  {
    value: "102",
    label: "微信",
  },
  {
    value: "103",
    label: "支付宝",
  },
  {
    value: "104",
    label: "刷卡",
  },
  {
    value: "105",
    label: "二维码台卡",
  },
  {
    value: "106",
    label: "储值卡",
  },
  {
    value: "107",
    label: "有赞E卡",
  },
  {
    value: "110",
    label: "标记收款-自有微信支付",
  },
  {
    value: "111",
    label: "标记收款-自有支付宝",
  },
  {
    value: "112",
    label: "标记收款-自有POS刷卡",
  },
  {
    value: "113",
    label: "通联刷卡支付",
  },
  {
    value: "114",
    label: "标记收款-自定义",
  },
  {
    value: "115",
    label: "有赞零钱支付",
  },
  {
    value: "200",
    label: "记账账户",
  },
  {
    value: "201",
    label: "现金",
  },
  {
    value: "202",
    label: "组合支付",
  },
  {
    value: "203",
    label: "外部支付",
  },
  {
    value: "300",
    label: "储值账户",
  },
  {
    value: "400",
    label: "保证金账户",
  },
];
//详情
const detail_columns = [
  {
    prop: "tid",
    label: "有赞订单编号",
    span: 7,
  },
  {
    prop: "item_id",
    label: "有赞商品编号",
    span: 6,
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    span: 5,
  },

  {
    prop: "oid",
    label: "订单子订单编号",
    span: 6,
  },

  // {
  //   prop: "goods_cost_price",
  //   label: "成本价",
  //   span: 4,
  // },
  {
    prop: "tax_total",
    label: "税费",
    span: 4,
  },
  {
    prop: "num",
    label: "商品数量",
    span: 4,
  },
  {
    prop: "price",
    label: "单商品原价",
    span: 5,
  },
  // {
  //   prop: "goods_cost_price",
  //   label: "成本价",
  //   span: 4,
  // },

  {
    prop: "discount_price",
    label: "优惠后单价",
    span: 5,
  },

  {
    prop: "total_fee",
    label: "优惠后总价",
    span: 6,
  },
  {
    prop: "addtime",
    label: "下线时间",
    span: 6,
  },

  {
    prop: "plat_code",
    label: "平台商品编码",
    span: 6,
  },

  {
    prop: "skuCode",
    label: "线上商品编号",
    span: 6,
  },
  {
    prop: "orderCode",
    label: "销售订单编号",
    span: 6,
  },

  {
    prop: "title",
    label: "商品名称",
    _slot_: "title",
    span: 12,
  },
  {
    prop: "reason",
    label: "驳回原因",
    span: 12,
  },
  {
    prop: "buyer_messages",
    label: "买家留言",
    span: 24,
  },
];
const pay_info_columns = [
  {
    prop: "real_payment",
    label: "实付金额",
    span: 6,
  },
  {
    prop: "total_fee",
    label: "商品总价",
    span: 6,
  },
  // {
  //   prop: "payment",
  //   label: "整单应付金额",
  //   span: 6,
  // },

  {
    prop: "post_fee",
    label: "邮费",
    span: 6,
  },
  {
    prop: "pay_type",
    label: "支付类型",
    _slot_: "pay_type",
    span: 6,
  },
  {
    prop: "addtime",
    label: "支付时间",
    span: 6,
  },
  {
    prop: "transaction",
    label: "支付流水号",
    _slot_: "transaction",
    span: 18,
  },
];
const address_info_columns = [
  {
    prop: "receiver_name",
    label: "收货人",
    span: 8,
  },
  {
    prop: "receiver_tel",
    label: "收货电话",
    span: 8,
  },
  {
    prop: "addtime",
    label: "添加时间",
    span: 8,
  },
  {
    prop: "delivery_province",
    label: "收货地址",
    _slot_: "delivery_province",
    span: 24,
  },
];
const express_columns = [
  {
    prop: "out_stype",
    label: "物流ID",
    span: 8,
  },
  {
    prop: "oids",
    label: "子订单号",
    span: 8,
  },
  {
    prop: "out_sid",
    label: "物流单号",
    span: 8,
  },
];
export {
  columns,
  detail_columns,
  pay_info_columns,
  address_info_columns,
  express_columns,
  pay_type_list,
  status_list,
};
