
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
const options8 = [
  { id: "0", name: "待产品审核" },
  { id: "1", name: "待执行上线" },
  { id: "2", name: "审核驳回" },
  { id: "6", name: "上线成功" },
  { id: "7", name: "上线失败" },
  { id: "8", name: "已下线" },
]
const listCol = [
  {
    prop: "skuCode",
    label: "上线商品编号",
    fixed: "left",
    width: "160px",
  },
  {
    prop: "spuCode",
    label: "成本商品编号",
    width: "160px",
  },
  {
    prop: "good_thumb_img",
    label: "图片",
    _slot_: "good_thumb_img",
    width: "45px",
  },
  {
    prop: "good_name",
    label: "名称",
    "min-width": "160px",
  },
  // {
  //   prop: "platform_code_en",
  //   label: "平台编号",
  //   width: "170px",
  // },
  {
    prop: "platform_name",
    label: "平台名称",
    width: "100px",
  },

  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "118px",
  },
  {
    prop: "cat_name",
    label: "分类",
    width: "118px",
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    width: "70px",
  },
  {
    prop: "brand_name",
    label: "品牌",
  },
  {
    prop: "companyNo",
    label: "业务公司编号",
    width: "160px",
  },
  {
    prop: "company",
    label: "业务公司名称",
    width: "150px",
  },
  {
    prop: "plat_code",
    label: "平台商品编号",
    width: "150px",
  },
  {
    prop: "purchase",
    label: "供应商负责人",
    width: "95",
  },
  {
    prop: "company_name",
    label: "创建人部门",
    minWidth: "150px",
  },
  {
    prop: "creater",
    label: "创建人",
    width: "70px",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "110px",
    _slot_: "operation",
  },
]
const rules = {
  platform: [
    {
      required: true,
      message: "请选择所属平台",
      trigger: "change",
    },
  ],
  online_reason: [
    {
      required: true,
      message: "上线原因不能为空",
      trigger: "blur",
    },
  ],
  online_remark: [
    {
      required: true,
      message: "上线备注不能为空",
      trigger: "blur",
    },
  ],

}
const public_listCol = [
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    span: 24,
  },
  {
    prop: "company",
    label: "业务企业名称",
    _slot_: "company",
  },
  {
    prop: "good_info_img",
    _slot_: "good_info_img",
    label: "详情图",
  },
  {
    prop: "cat",
    label: "分类",
    span: 8,
  },



  {
    prop: "creater",
    label: "申请人",
    span: 4,
  },
  {
    prop: "platform_name",
    label: "上线平台",
    span: 6,
  },
  {
    prop: "online_time",
    label: "上线时间",
    span: 6,
  },
  {
    prop: "online_reason",
    label: "上线原因",
  },

  {
    prop: "online_remark",
    label: "上线备注",
    span: 12,
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 6,
  },



  {
    prop: "exclusive",
    label: "专属类型",
    _slot_: "exclusive",
    span: 6,
  },
  {
    prop: "weight",
    label: "商品总克重",
    append: 'g',
    span: 6,
  },


  {
    prop: "packing_list",
    label: "包装清单",
    span: 6,
  },
  {
    prop: "packing_way",
    label: "包装方式",
    span: 6,
  },
  {
    prop: "packing_spec",
    label: "装箱规格",
    span: 6,
  },
  {
    prop: "packing_weight",
    label: "装箱重量",
    append: 'g',
    span: 6,
  },
  {
    prop: "packing_size",
    label: "装箱尺寸",
    span: 6,
  },
  {
    prop: "origin_place_cn",
    label: "产地",
    span: 8,
  },
  {
    prop: "unit",
    label: "单位",
    span: 4,
  },
  {
    prop: "good_bar",
    label: "商品条形码",
    span: 6,
  },
  {
    prop: "supply_area",
    label: "供货区域",
    _slot_: "supply_area",
    span: 6,
  },
  {
    prop: "delivery_place_cn",
    label: "发货地",
    span: 8,
  },
  {
    prop: "is_stock",
    label: "是否库存品",
    _slot_: "is_stock",
    span: 4,
  },
  {
    prop: "exam_status",
    label: "状态",
    _slot_: "exam_status",
    span: 6,
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    span: 6
  },

  {
    prop: "addtime",
    label: "创建时间",
    span: 8,
  },
  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4,
  },

  {
    prop: "delivery_day",
    label: "物流时间",
    append: '天',
    span: 4,
  },
  {
    prop: "lead_time",
    label: "供货周期",
    append: '天',
    span: 4
  },
  {
    prop: "sample_day",
    label: "调样周期",
    append: '天',
    span: 4,
  },

  {
    prop: "noble",
    label: "贵金属信息",
    _slot_: "noble",
    span: 24,
  },
  {
    prop: "good_remark",
    label: "商品备注",
    span: 24,
  },


  {
    prop: "after_sales",
    label: "售后说明",
    span: 24,
  },
  {
    prop: "craft_desc",
    label: "工艺说明",
    span: 24,
  },
]
const sale_listCol=[
  {
    prop: "yz_cat_info",
    label: "有赞公有分类",
    _slot_: "yz_cat_info",
    span: 6,
  },
  {
    prop: "is_support_barter",
    label: "是否支持退货",
    _slot_: "is_support_barter",
    span: 6,
  },
  {
    prop: "reject_reason",
    label: "驳回原因",
    span: 12,
  },
  {
    prop: "nakelist",
    label: "销售起订量",
    _slot_: "nakelist",
    span: 24,
  },
]
const  is_support_barter_list= [
  {
    value: "1",
    label: "支持",
  },
  {
    value: "0",
    label: "不支持",
  },
]
const item_type_options=[
  {
    value: "0",
    label: "普通商品", 
    status:'1'
  },
  {
    value: "3",
    label: "UMP降价拍", 
    status:'0'
  },
  {
    value: "5",
    label: "外卖商品", 
    status:'0'
  },
  {
    value: "10",
    label: "分销商品", 
    status:'0'
  },
  {
    value: "20",
    label: "会员卡商品", 
    status:'0'
  },
  {
    value: "21",
    label: "礼品卡商品", 
    status:'0'
  },
  {
    value: "22",
    label: "团购券", 
    status:'0'
  },
  {
    value: "25",
    label: "批发商品", 
    status:'0'
  },
  {
    value: "30",
    label: "收银台商品", 
    status:'0'
  },
  {
    value: "31",
    label: "知识付费商品", 
    status:'0'
  },
  {
    value: "35",
    label: "酒店商品", 
    status:'0'
  },
  {
    value: "40",
    label: "美业商品", 
    status:'0'
  },
  {
    value: "60",
    label: "虚拟商品", 
    status:'0'
  },
  {
    value: "61",
    label: "电子卡券", 
    status:'0'
  }
]
export { options1, options2, options3, options4, options5, options6, options7, options8, listCol, rules,public_listCol,sale_listCol,is_support_barter_list,item_type_options }