const columns = [
  {
    type: "selection",
    fixed: "left",
    _noset_: true,
  },
  {
    prop: "outCode",
    label: "发货申请单编号",
    width: "156",
  },

  {
    prop: "orderCode",
    label: "订单编号",
    width: "156",
  },
  {
    prop: "cgdNo",
    label: "采购单编号",
    width: "156",
  },
  {
    prop: "company_name",
    label: "申请人部门",
    minWidth: "150px",
  },

  {
    prop: "apply_name",
    label: "申请人",
    width: "70px",
  },
  // {
  //   prop: "orderCode",
  //   label: "销售订单编号",
  //   width: "160"
  // },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    width: "85",
  },
  {
    prop: "send_num",
    label: "发货数量",
    width: "80px",
  },
  {
    prop: "good_class",
    label: "商品分类",
    width: "150",
  },
  {
    prop: "good_code",
    label: "商品编码",
    width: "140",
  },
  {
    prop: "good_name",
    label: "商品名称",
    width: "150",
  },
  // {
  //   prop: "supplierNo",
  //   label: "供应商编码",
  //   width: "160"
  // },

  // {
  //   prop: "customer_code",
  //   label: "客户编码",
  //   width: "150"
  // },
  // {
  //   prop: "companyName",
  //   label: "客户名称",
  //   width: "200"
  // },


  {
    prop: "contactor",
    label: "联系人",
    width: "70",
  },
  {
    prop: "mobile",
    label: "联系电话",
    width: "100",
  },
  {
    prop: "post_name",
    label: "物流公司",
  },
  {
    prop: "post_code",
    label: "物流单号",
  },
  {
    prop: "post_fee",
    label: "物流费用",
  },
  {
    prop: "sendtime",
    label: "发货时间",
    width: "140",
  },
 
  {
    prop: "addtime",
    label: "添加时间",
    width: 150,
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: 80,
  },
];

const showColumns = [
  {
    prop: "outCode",
    label: "发货申请单号",
    span: 6,
  },
  {
    prop: "status",
    label: "发货申请单状态",
    _slot_: "status",
    span: 6,
  },
  {
    prop: "orderCode",
    label: "订单编号",
    span: 6,
  },
  {
    prop: "order_type",
    label: "商品来源",
    _slot_: "order_type",
    span: 6,
  },

  {
    prop: "apply_name",
    label: "申请人",
    span: 6,
  },

  {
    prop: "sendtime",
    label: "发货时间",
    span: 6,
  },

  {
    prop: "send_num",
    label: "发货数量",
    span: 6,
  },
  {
    prop: "check_num",
    label: "验收数量",
    span: 6,
  },

  {
    prop: "error_num",
    label: "异常数量",
    span: 6,
  },
  {
    prop: "sale_price",
    label: "商品单价",
    _slot_: "sale_price",
    span: 6,
  },
  {
    prop: "total_price",
    label: "总价",
    _slot_: "total_price",
    span: 6,
  },

  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },
  {
    prop: "post_name",
    label: "快递公司",
    span: 6,
  },

  {
    prop: "post_fee",
    label: "物流费用",
    span: 6,
  },
  {
    prop: "contactor",
    label: "收货联系人",
    span: 6,
  },
  {
    prop: "mobile",
    label: "收货联系人电话",
    span: 6,
  },
  {
    prop: "post_code",
    label: "物流编号",
    span: 12,
  },
  {
    prop: "addr",
    label: "收货地址",
    span: 12,
  },

  {
    prop: "remark",
    label: "发货申请备注",
    span: 24,
  },
];
const rshowColumns = [
  {
    prop: "returnCode",
    label: "售后申请单号",
    span: 6,
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },

  {
    prop: "apply_name",
    label: "申请人",
    span: 6,
  },

  {
    prop: "post_name",
    label: "快递公司",
    span: 6,
  },
  {
    prop: "post_code",
    label: "物流编号",
    span: 6,
  },
  {
    prop: "post_fee",
    label: "物流费用",
    span: 6,
  },
  {
    prop: "sendtime",
    label: "发货时间",
    span: 6,
  },

  {
    prop: "send_num",
    label: "发货数量",
    span: 6,
  },
  {
    prop: "check_num",
    label: "验收数量",
    span: 6,
  },

  {
    prop: "error_num",
    label: "异常数量",
    span: 6,
  },
  {
    prop: "sale_price",
    label: "商品单价",
    span: 6,
  },
  {
    prop: "total_price",
    label: "发货申请单总价",
    span: 6,
  },
  {
    prop: "addtime",
    label: "发货方式",
    span: 6,
  },

  {
    prop: "mobile",
    label: "收货联系人电话",
    span: 6,
  },

  // {
  //   prop: "收货仓库信息",
  //   label: "收货地址",
  //   span: 24
  // },
  {
    prop: "error_remark",
    label: "备注",
    span: 24,
  },
];
const sendOutOrderColumns = [
  {
    type: "index",
    label: "序号",
    width: "70px",
  },
  {
    prop: "value25",
    label: "发货申请单号",
    width: "156px",
  },

  {
    prop: "value5",
    label: "订单编号",
    width: "156px",
  },
  {
    prop: "value8",
    label: "产品名称",
    "min-width": "180px",
  },
  {
    prop: "value9",
    label: "规格",
    "min-width": "180px",
  },
  {
    prop: "value10",
    label: "单位",
    width: "45px",
  },
  {
    prop: "value20",
    label: "发货数量",
    width: "100px",
  },

  {
    prop: "value21",
    label: "收货人",
    width: "70px",
  },
  {
    prop: "value22",
    label: "联系方式",
    width: "110px",
  },
  {
    prop: "value23",
    label: "收货地址",
    width: "150px",
  },
  {
    prop: "value26",
    label: "平台订单号",
    width: "150px",
  },
  {
    prop: "value27",
    label: "发货申请单物流公司",
    width: "150px",
  },
  {
    prop: "value28",
    label: "发货申请单物流单号",
    width: "150px",
  },
  {
    prop: "value29",
    label: "发货申请单物流费用",
    width: "140px",
  },
  {
    prop: "value30",
    label: "发货申请单备注",
    "min-width": "150px",
  },
];
const head = [
  "序号",

  "创建时间",
  "采购单编号",
  "采购单状态",
  "采购员",
  "确认单号",
  "确认单时间",
  "产品编号",
  "产品名称",
  "规格",
  "单位",
  "供应商名称",
  "供应商编号",
  "裸价",
  "物流费",
  "发货方式",
  "采购单价",
  "确认单备注",
  "采购数量",
  "采购货款",
  "发货数量",
  "收货人",
  "联系方式",
  "收货地址",
  "到货时间",
  "发货申请单号",
  "平台订单号",
  "发货申请单物流公司",
  "发货申请单物流单号",
  "发货申请单物流费用",
  "发货申请单备注",
  "申请人",
  "商品分类",
];
export { columns, showColumns, rshowColumns, sendOutOrderColumns, head };
