
const columns = [
  {
    prop: "orderCode",
    label: "订单编号",
    span: 6,
  },
  {
    prop: "status",
    label: "订单状态",
    _slot_: "status",
    span: 6,
  },
  {
    prop: "order_type",
    label: "订单类型",
    _slot_: "order_type",
    span: 6,
  }, {
    prop: "apply_name",
    label: "创建人",
    span: 6,
  },

  {
    prop: "supplierName",
    label: "销售方公司",
    _slot_: "supplierName",
    span: 12,
  },
  {
    prop: "companyName",
    label: "购买方公司",
    _slot_: "companyName",
    span: 12,
  },


  {
    prop: "platform_name",
    label: "所属平台",
    span: 6,
  },

  {
    prop: "arrive_time",
    label: "要求到货时间",
    span: 6,
  },
  {
    prop: "paytime",
    label: "承诺付款时间",
    span: 6,
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },
  {
    prop: "good_num",
    label: "购买数量",
    span: 4,
  },
  {
    prop: "send_num",
    label: "已发数量",
    span: 4,
  },
  {
    prop: "wsend_num",
    label: "未发数量",
    span: 4,
  },
  {
    prop: "th_num",
    label: "退货数量",
    span: 4,
  },

  {
    prop: "proof_id",
    label: "凭证文件",
    _slot_: "proof_id",
    span: 8,
  },


  {
    prop: "sale_price",
    label: "售价",
    _slot_:"sale_price",
    append: '元',
    span: 6,
  },
  {
    prop: "total_price",
    label: "总金额",
    _slot_:"total_price",
    append: '元',
    span: 6,
  },


  {
    prop: "post_fee",
    label: "物流费用",
    append: '元',
    span: 6,
  },
  {
    prop: "send_type",
    label: "发货类型",
    _slot_: "send_type",
    span: 6,
  },

  {
    prop: "is_active",
    label: "活动类型",
    _slot_: "is_active",
    span: 12,
  },
  {
    prop: "useage",
    label: "订单用途",
    span: 12,
  },

  {
    prop: "remark",
    label: "备注",
    span: 24,
  },

  {
    prop: "platform_order",
    label: "平台订单号",
    span: 24,
  },
  {
    prop: "workNo",
    label: "其他单号",
    span: 24,
  },
]
const statusOptions = [
  { value: "0", label: "待发货" },
        { value: "1", label: "待发货完成" },
        { value: "2", label: "发货已完成" },
        { value: "3", label: "订单已取消" },
];

export { columns, statusOptions, }