
const columns = [
  {
    prop: "bargainNo",
    label: "议价单编号",
    span: 6
  },

  {
    prop: "bidsNo",
    label: "反馈商品编号",
    span: 6
  },
  {
    prop: "infoNo",
    label: "竞价单编号",
    span: 6
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    span: 6
  },
  {
    prop: "creater",
    label: "创建人",
    span: 6
  },

  {
    prop: "is_addrs",
    label: "是否多地",
    _slot_: "is_addrs",
    span: 4
  },
  {
    prop: "is_custom",
    label: "是否定制",
    _slot_: "is_custom",
    span: 4
  },
  {
    prop: "good_num",
    label: "购买数量",
    _slot_: "good_num",
    span: 4
  },
  {
    prop: "rate_status",
    label: "预计通过节点",
    _slot_: "rate_status",
    span: 6
  },
  {
    prop: "addtime",
    label: "添加时间",
    span: 6
  },
  {
    prop: "origin_addr",
    label: "产地",
    span: 6
  },
  {
    prop: "result_info",
    label: "议价原因",
    span: 12
  },
  {
    prop: "bargain_remark",
    label: "议价备注",
    span: 24
  },

  {
    prop: "sale_price",
    label: "议价前售价",
    _slot_:"sale_price",
    append: '元',
    span: 6
  },
  {
    prop: "after_price",
    label: "议价后售价",
    _slot_:"after_price",
    append: '元',
    span: 6
  },

  {
    prop: "cost_before_price",
    label: "议价前工艺费",
    _slot_:"cost_before_price",
    append: '元',
    span: 6
  },

  {
    prop: "cost_after_price",
    label: "议价后工艺费",
    _slot_:"cost_after_price",
    append: '元',
    span: 6
  },

  {
    prop: "before_rate",
    label: "议价前毛利率",
    _slot_:"before_rate",
    append: '%',
    span: 12
  },
  {
    prop: "after_rate",
    label: "议价后毛利率",
    _slot_:"after_rate",
    append: '%',
    span: 12
  },
  {
    prop: "cert_fee",
    label: "成本证书费",
    _slot_:"cert_fee",
    append: '元',
    span: 6
  },
  {
    prop: "pakge_fee",
    label: "成本包装费",
    _slot_:"pakge_fee",
    append: '元',
    span: 6
  },
  {
    prop: "cost_fee",
    label: "成本工艺费",
    _slot_:"cost_fee",
    append: '元',
    span: 6
  },
  {
    prop: "mark_fee",
    label: "成本加标费",
    _slot_:"mark_fee",
    append: '元',
    span: 6
  },

  {
    prop: "demo_fee",
    label: "成本打样费",
    _slot_:"demo_fee",
    append: '元',
    span: 6
  },
  {
    prop: "open_fee",
    label: "成本开模费",
    _slot_:"open_fee",
    append: '元',
    span: 6
  },
  {
    prop: "delivery_fee",
    label: "成本物流费",
    _slot_:"delivery_fee",
    append: '元',
    span: 6
  },
  {
    prop: "nake_fee",
    label: "成本裸价",
    _slot_:"nake_fee",
    append: '元',
    span: 6
  },
  {
    prop: "total_fee",
    label: "采购成本合计",
    _slot_:"total_fee",
    append: '元',
    span: 24
  },

]

//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//有无工差
const options8 = [
  { id: "0", name: "无工差" },
  { id: "1", name: "有工差" },
]
//配置要求
const options9 = ["证书", "包装盒", "绒布袋", "标签", "其他"]
//付款方式
const options10 = [
  { id: "0", name: "现结" },
  { id: "1", name: "月清" },
  { id: "2", name: "双月清" },
]
//发货方式
const options11 = [
  { id: "0", name: "公司自提" },
  { id: "1", name: "供应商包邮" },
]

const options12 = [
  { id: "0", name: "一地" },
  { id: "1", name: "多地" },
]
const statusList = [
  { id: "0", label: "待业务主管审核", type: "warning" },
  { id: "1", label: "业务主管通过", type: "success" },
  { id: "2", label: "待财务专员审批", type: "warning" },
  { id: "3", label: "业务主管驳回", type: "danger" },
  { id: "4", label: "待财务主管审核", type: "warning" },
  // { id: "5", label: "专员驳回", type: "" },
  { id: "6", label: "财务主管通过", type: "success" },
  { id: "7", label: "待BOSS审批", type: "warning" },
  { id: "8", label: "财务主管驳回", type: "danger" },
  { id: "9", label: "boss通过", type: "success" },
  { id: "10", label: "boss越线通过", type: "" },
  { id: "11", label: "boss驳回", type: "danger" },
]
const rate_status_options = [
  { id: '0', label: '全部无法通过' },
  { id: '1', label: '业务主管通过' },
  { id: '2', label: '财务主管通过' },
  { id: '3', label: 'boss通过' },
]

export { columns, options1,
  options2,
  options3,
  options4,
  options5,
  options6,
  options7,
  options8,
  options9,
  options10,
  options11,
  options12, 
  statusList,
  rate_status_options
}